import 'package:flutter/material.dart';
import 'package:og1_ui/src/models/language_model.dart';
import 'package:og1_ui/src/widgets/_widgets.dart';

class Og1LanguagePicker extends StatelessWidget {
  final List<LanguageModel> supportedLanguages;
  final LanguageModel language;
  final Function(LanguageModel? language) onLanguageChange;

  const Og1LanguagePicker({
    Key? key,
    required this.supportedLanguages,
    required this.language,
    required this.onLanguageChange,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PopupMenuButton<LanguageModel>(
      icon: Og1Language(
        key: UniqueKey(),
        language: language,
      ),
      onSelected: onLanguageChange,
      itemBuilder: (BuildContext context) => supportedLanguages
          .map<PopupMenuEntry<LanguageModel>>(
            (lang) => PopupMenuItem<LanguageModel>(
              value: lang,
              child: Og1Language(
                key: UniqueKey(),
                language: lang,
              ),
            ),
          )
          .toList(),
    );
  }
}
